Loading...
Searching...
No Matches
CglLandP::CachedData Struct Reference

Some informations that will be changed by the pivots and that we want to keep. More...

## Public Member Functions

| CachedData (int nBasics=0, int nNonBasics=0)
| CachedData (const CachedData &source)
CachedData & | operator= (const CachedData &source)
void | getData (const OsiSolverInterface &si)
| Get the data from a problem.
void | clean ()
| ~CachedData ()

## Public Attributes

int * | basics_
| Indices of basic variables in starting basis (ordered if variable basics_[i] s basic in row i).
int * | nonBasics_
| Indices of non-basic variables.
int | nBasics_
| number of basics variables
int | nNonBasics_
| number of non-basics
CoinWarmStartBasis * | basis_
| Optimal basis.
double * | colsol_
| Stores the value of the solution to cut.
double * | slacks_
| Stores the values of the slacks.
bool * | integers_
| Stores wheter slacks are integer constrained.
OsiSolverInterface * | solver_
| Solver before pivots.

## Detailed Description

Some informations that will be changed by the pivots and that we want to keep.

Definition at line 241 of file CglLandP.hpp.

## Constructor & Destructor Documentation

## CachedData() [1/2]

CglLandP::CachedData::CachedData | ( | int | nBasics = 0,
|  | int | nNonBasics = 0 )

## CachedData() [2/2]

CglLandP::CachedData::CachedData | ( | const CachedData & | source | ) |

## ~CachedData()

CglLandP::CachedData::~CachedData | ( |  | ) |

## Member Function Documentation

## operator=()

CachedData & CglLandP::CachedData::operator= | ( | const CachedData & | source | ) |

## getData()

void CglLandP::CachedData::getData | ( | const OsiSolverInterface & | si | ) |

Get the data from a problem.

## clean()

void CglLandP::CachedData::clean | ( |  | ) |

## Member Data Documentation

## basics_

int* CglLandP::CachedData::basics_

Indices of basic variables in starting basis (ordered if variable basics_[i] s basic in row i).

Definition at line 254 of file CglLandP.hpp.

## nonBasics_

int* CglLandP::CachedData::nonBasics_

Indices of non-basic variables.

Definition at line 256 of file CglLandP.hpp.

## nBasics_

int CglLandP::CachedData::nBasics_

number of basics variables

Definition at line 258 of file CglLandP.hpp.

## nNonBasics_

int CglLandP::CachedData::nNonBasics_

number of non-basics

Definition at line 260 of file CglLandP.hpp.

## basis_

CoinWarmStartBasis* CglLandP::CachedData::basis_

Optimal basis.

Definition at line 262 of file CglLandP.hpp.

## colsol_

double* CglLandP::CachedData::colsol_

Stores the value of the solution to cut.

Definition at line 264 of file CglLandP.hpp.

## slacks_

double* CglLandP::CachedData::slacks_

Stores the values of the slacks.

Definition at line 266 of file CglLandP.hpp.

## integers_

bool* CglLandP::CachedData::integers_

Stores wheter slacks are integer constrained.

Definition at line 268 of file CglLandP.hpp.

## solver_

OsiSolverInterface* CglLandP::CachedData::solver_

Solver before pivots.

Definition at line 270 of file CglLandP.hpp.

The documentation for this struct was generated from the following file:

- Cgl/src/CglLandP/CglLandP.hpp